<?php

include("config/conexion.php");

$buscar = "";

if(isset($_POST['buscar']))
{
    $buscar = $_POST['buscar'];

    $sql =
    "SELECT * FROM productos
    WHERE nombre LIKE '%$buscar%'";
}
else
{
    $sql =
    "SELECT * FROM productos";
}

$resultado =
mysqli_query(
$conexion,
$sql
);

?>

<!DOCTYPE html>
<html lang="es">

<head>

<meta charset="UTF-8">

<title>
Gestión de Productos
</title>

<link
rel="stylesheet"
href="assets/css/estilos.css">

</head>

<body>

<header>

<h1>MarketPlus</h1>

</header>

<nav>

<a href="index.php">Inicio</a>
<a href="productos.php">Productos</a>
<a href="registrar_producto.php">
Registrar
</a>

</nav>

<div class="container">

<div class="box">

<h2>
Buscar Productos
</h2>

<form method="POST">

<input
type="text"
name="buscar"
placeholder="Buscar producto">

<button
class="btn"
type="submit">

Buscar

</button>

</form>

</div>

<div class="box">

<table>

<tr>

<th>ID</th>
<th>Nombre</th>
<th>Precio</th>
<th>Stock</th>
<th>Acciones</th>

</tr>

<?php

while(
$fila =
mysqli_fetch_assoc(
$resultado
))
{

?>

<tr>

<td>
<?= $fila['idProducto']; ?>
</td>

<td>
<?= $fila['nombre']; ?>
</td>

<td>
S/ <?= $fila['precio']; ?>
</td>

<td>
<?= $fila['stock']; ?>
</td>

<td>

<a
href="editar_producto.php?id=<?= $fila['idProducto']; ?>">

Editar

</a>

|

<a
onclick="return confirm('¿Eliminar producto?')"
href="eliminar_producto.php?id=<?= $fila['idProducto']; ?>">

Eliminar

</a>

</td>

</tr>

<?php

}

?>

</table>

</div>

</div>

</body>
</html>